none
PowerShell and WinRM RRS feed

  • Вопрос

  • Решил на днях поставить вместо Exchange 2010 beta недавно вышедший RC.
    Снес бету(без особых проблем), запустил
    setup от RC - говорит все готово, жму установить Exchange(1-2 Шаги не активны).
    На это мне ругается:
    Echange Server 2010 требует наличия оболочки Windows Powe Shell 2.0

    Powe Shell ставился по ссылке из сетапки беты.
    Попробовал снести и поставить его заново. Снеслось нормально но когда
     пытаюсь повторно установить Windows6.0-KB968930-x64
    то винда ругается что обновление не применимо для системы(хотя перед этим ставилось нормально).
    Пробовал поставить последний
    Powe Shell который лежит на downloads, ставиться нормально но установка Exchange'а опять выдает ту же ошибку

    1 сентября 2009 г. 13:07

Ответы

  • Вопрос решен, Микрософт выпустил обновление сборки Windows Management Framework Core (PowerShell and WinRM) for Vista and Server 2008 - x64:

    Title Core (PowerShell and WinRM) for Vista and Server 2008
    Release Date 8/13/2009
    Size 34.86 MB
    Version x64
    Category Build
    Milestone RC
    Description

     

     

    The MSU file was updated on 9/9/2009.

    For x64 versions of Windows Vista SP1 or SP2 and Windows Server 2008 SP1 or SP2.

    Windows Management Framework Release Candidate
    Windows PowerShell 2.0 and WinRM 2.0 Package with Release Notes 

    • Помечено в качестве ответа m.prokopiv 17 сентября 2009 г. 7:44
    4 сентября 2009 г. 8:56

Все ответы


  • Полагаю вы устанавливаете на Windows Server 2008 (6.0)
    Попробуйте скачать и установить Windows Management Framework Core (PowerShell and WinRM) for Vista and Server 2008 - x64

    https://connect.microsoft.com/windowsmanagement/Downloads/DownloadDetails.aspx?DownloadID=21268

    Release Date  8/13/2009 
    Size  21.22 MB 
    Version  2.0 
    Category  Build 
    Milestone  RC 

    После установки проверьте наличие и правильность версии, запустите PowerShell, Start > Run > powershell > $psversiontable


    Отпишите о результате


    Arman Obosyan, http://postmaster.ge/blog
    • Изменено Arman Obosyan 2 сентября 2009 г. 11:29 remove direct link
    2 сентября 2009 г. 5:10
  • Когда я устанавливал Exchange_beta ему нужен был этот же Windows Management Framework Core (PowerShell and WinRM) for Vista and Server 2008 - x64, который я с успехом и поставил.
    Потом, когда я снес Exchange_beta то PowerShell and WinRM оставались, но setup от Exchange_RC ругался что:
    Echange Server 2010 требует наличия оболочки Windows Powe Shell 2.0

    Когда же я решил переустановить(удалить и поставить заново)
    PowerShell and WinRM  то мне выдало:
    Обновление не применимо для системы

    При чем то же самое выдает при попытке установить его на любой из Windows Server 2008 (6.0)

    2 сентября 2009 г. 7:08

  • когда была E14 BETA тогда нужен был CTP2 PowerShell and WinRM

    а тут речь о E14 RC идет и нужен RC (или выше) Windows Management Framework Core (PowerShell and WinRM)


    Удостоверьтесь в правильности файла может у вас не RC весрия

    Windows6.0-KB968930-x64.msu
    Size: 21,973,061 bytes
    SHA1: 991a5be9be861218e1d07123bdcb12587fd7e99b


    Что с версией PowerShell? проверили? я указывал выше как проверить, Output сюда скиньте посмотрим




    Arman Obosyan, http://postmaster.ge/blog
    2 сентября 2009 г. 9:35
  • Выхлоп версии шелла:
    Name                           Value
    ----                           -----
    CLRVersion                     2.0.50727.4016
    BuildVersion                   6.1.6949.0
    PSVersion                      2.0
    PSCompatibleVersions           {1.0, 2.0}


    Именно эта версия и отказывается устанавливаться:

    Title Windows Management Framework Core (PowerShell and WinRM) for Vista and Server 2008 - x64
    Release Date 8/13/2009
    Size 21.22 MB
    Version 2.0
    Category Build
    Milestone RC

    2 сентября 2009 г. 9:55
  • Так вот только что проверил на сервере 6.0.6002 с установленным PowerShell V2 CTP 3

    у вас пологаю похожая ситуация?

    ...могу предложить полностью избавится от PowerShell V2 путем удаления с Add Remove Programs, также проверить и в Server Manager > Features и там удостоверится в отсутствии PowerShell, избавится от хвостов если таковые останутся

    Затем ставить выше упомянутый Windows Management Framework Core RC и проверить версию

    На Windows Server 2008 x64 (6.0.6002) должно быть
    CLRVersion: 2.0.50727.4016
    BuildVersion: 7.0.6002.18111
    PSVersion: 2.0
    WSManStackVersion: 2.0
    PSCompatibleVersions: {1.0, 2.0}
    SerializationVersion: 1.1.0.1
    PSRemotingProtocolVersion: 2.1

    Скачал на сервер (x64 6.0.6002) Windows Management Framework Core RC x64 поствился без проблем.
    проапдеитил только что, по вашему сценарию все прошло на "ура"





    Arman Obosyan, http://postmaster.ge/blog
    2 сентября 2009 г. 11:56
  • Все вышеизложенное проделывал несколько раз еще до создания темы, результат все тот же(неприменимое обновление). Самое интересное что это же наблюдается на всех моих серверах. Дело скорее каких-нибудь корявых абдейтах но решения пока не нашел...

    3 сентября 2009 г. 6:45

  • неприменимое обновление

    вы случайно не на русскую версию пытаетесь поставить?
    Arman Obosyan, http://postmaster.ge/blog
    3 сентября 2009 г. 6:47
  • Вопрос решен, Микрософт выпустил обновление сборки Windows Management Framework Core (PowerShell and WinRM) for Vista and Server 2008 - x64:

    Title Core (PowerShell and WinRM) for Vista and Server 2008
    Release Date 8/13/2009
    Size 34.86 MB
    Version x64
    Category Build
    Milestone RC
    Description

     

     

    The MSU file was updated on 9/9/2009.

    For x64 versions of Windows Vista SP1 or SP2 and Windows Server 2008 SP1 or SP2.

    Windows Management Framework Release Candidate
    Windows PowerShell 2.0 and WinRM 2.0 Package with Release Notes 

    • Помечено в качестве ответа m.prokopiv 17 сентября 2009 г. 7:44
    4 сентября 2009 г. 8:56

  • Что выпустила это хорошо, гдавное чтоб вам помогло!

    Если да то отлично!

    тема закрыта.
    Arman Obosyan, http://postmaster.ge/blog
    17 сентября 2009 г. 17:32
  • Здравствуйте! Аналогичная проблема, можете дать ссылку на файл прямую. У меня русская версия Windows Server 2008 Standard 6.0 сборка 6002 SP2. В установке и удалении программ - нет PowerShell и WinRM, хотя консоль команды winrm принимает. В итоге не могу вылечить стандартную ошибку доступа к Exchange Power Shell.
    18 июля 2013 г. 5:38